<!-- this template comes from .ci/release_template.md -->

<!-- Don't forget to delete the previous betas after publishing this!
git push -d origin --REPLACE-WITH-BETA-LIST--
 -->

<!-- This list of binaries should be updated every time the ci is changed to
include different targets -->
<pre>
<b>Pre-compiled binaries we serve:</b>
 - <kbd>Windows 7+ (32-bit)</kbd>
 - <kbd>Windows 7+</kbd>
 - <kbd>Windows 10+</kbd>
 - <kbd>macOS 10.15+</kbd> ("Catalina")
 - <kbd>macOS 11+</kbd> ("Big Sur")
 - <kbd>Ubuntu 18.04</kbd> ("Bionic Beaver")
 - <kbd>Ubuntu 20.04</kbd> ("Focal Fossa")
 - <kbd>Ubuntu 22.04</kbd> ("Jammy Jellyfish")
 - <kbd>Ubuntu 23.04</kbd> ("Lunar Lobster")
 - <kbd>Debian 11</kbd> ("Bullseye")
 - <kbd>Debian 12</kbd> ("Bookworm")
 - <kbd>Fedora 37</kbd>
 - <kbd>Fedora 38</kbd>
<kbd>We are also packaged in Arch Linux's official community repository, courtesy of @FFY00</kbd></i>
<kbd>General linux support is available via a flatpak package (Flathub)</kbd></i>
</pre>


## General Notes

We're pleased to announce the newest official release: <kbd>--REPLACE-WITH-RELEASE-TITLE--</kbd>

We hope you enjoy the changes made and we have listed all changes, with their corresponding tickets, since the last version of Cockatrice was released for your convenience.

If you ever encounter a bug, have a suggestion or idea, or feel a need for a developer to look into something, please feel free to [open a ticket](https://github.com/Cockatrice/Cockatrice/issues). ([How to create a GitHub Ticket for Cockatrice](https://github.com/Cockatrice/Cockatrice/wiki/How-to-Create-a-GitHub-Ticket-Regarding-Cockatrice))

For any information relating to Cockatrice, please take a look at our official site: **https://cockatrice.github.io**

If you'd like to help contribute to Cockatrice in any way, check out our [README](https://github.com/Cockatrice/Cockatrice#get-involved-). We're always available to answer questions you may have on how the program works and how you can provide a meaningful contribution.


## Upgrading Cockatrice
<!-- this optional section puts a warning banner for problems with updating
> ⚠️ **With this release, we no longer provide a ready-to-install binary for:**
> --DEPRECATED-OS-HERE--
 -->

- Run the internal software updater: <kbd>Help → Check for Client Updates</kbd>

Don't forget to update your card database right after! (<kbd>Help → Check for Card Updates...</kbd>)


## Changelog
<!--
This list is generated and should be moved to their respective header and
possibly edited a little.
Append PR numbers of fixups to their main PR to keep the list coherent.
Put the quantity of remaining PR's below the highlights section.
Remove empty headers when done.

--REPLACE-WITH-GENERATED-LIST--
 -->

<!-- Highlights of the release -->
### ⚠️ Important:
### ✨ New Features:
### 🐛 Fixed Bugs / Resolved issues:

<!-- Complete list of changes (foldable) -->
<details>
<summary>
📘 <b>Show all changes</b> (--REPLACE-WITH-COMMIT-COUNT-- commits)
</summary>

### User Interface
### Under the Hood
### Oracle
### Servatrice
### Webatrice

</details>


## Translations
- **Thanks for over 300 people contributing to 20+ different languages up to now!**
- Without the help of the community we couldn't offer that great language support... keep up the good work!
- It's actually very easy to join and help for yourself - find out more here:
    - [Help us Translate Cockatrice into your native language!](https://github.com/Cockatrice/Cockatrice/wiki/Translation-FAQ)


## Special Thanks
<!-- Personalise this a bit! -->
We continue to find it amazing that so many people contribute their time, knowledge, code, testing and more to the project. We'd like to thank the entire Cockatrice community for their efforts.
<!-- We'd like to especially recognize @ZeldaZach, --ADD-CONTRIBUTORS-HERE-- for their help in preparing so many amazing new features for the user base. -->
